org.apache.ignite.ml.preprocessing.maxabsscaling

## Class MaxAbsScalerTrainer<K,V>

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.maxabsscaling.MaxAbsScalerTrainer<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    PreprocessingTrainer<K,V>

      public class MaxAbsScalerTrainer<K,V>
      extends Object
      implements PreprocessingTrainer<K,V>

  Trainer of the maxabsscaling preprocessor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxAbsScalerTrainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MaxAbsScalerPreprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.PreprocessingTrainer

      `fit, fit, fit, fit, fit, learningEnvironment`

- - ### Constructor Detail

    - #### MaxAbsScalerTrainer

          public MaxAbsScalerTrainer()

  - ### Method Detail

    - #### fit

          public MaxAbsScalerPreprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                                   DatasetBuilder<K,V> datasetBuilder,
                                                   Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Specified by:
        `fit` in interface `PreprocessingTrainer<K,V>`
      Parameters:
        `envBuilder` - Learning environment builder.
        `datasetBuilder` - Dataset builder.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022